/**
 * @module viw-webgl-viewer/gizmos
 */
import { Camera } from '../../camera/camera';
import { Viewport } from '../../viewport';
import { AxesSettings } from './axesSettings';
/**
 * The axis gizmos of the viewer.
 */
export declare class GizmoAxes {
    private _initialOptions;
    private _options;
    private _camera;
    private _canvas;
    private _context;
    private _rect;
    private _reparentConnection;
    private _axes;
    private _isDragging;
    private _isDragSignificant;
    private _dragStart;
    private _dragLast;
    private _pointer;
    private _center;
    private _invRotMat;
    private _selectedAxis;
    /**
     * The canvas on which the axes are drawn.
     */
    get canvas(): HTMLCanvasElement;
    constructor(camera: Camera, viewport: Viewport, options?: Partial<AxesSettings>);
    reparent(parent: HTMLElement): void;
    resize(size: number): void;
    private animate;
    private createCanvas;
    private onTouchMove;
    private onTouchEnd;
    private onPointerDown;
    private onPointerUp;
    private onPointerEnter;
    private onPointerMove;
    private toMouseVector;
    private onPointerDrag;
    private initDrag;
    private updateDrag;
    private endDrag;
    private onMouseClick;
    private update;
    private drawLayers;
    private drawCircle;
    private drawLine;
    private setAxisPosition;
    private pickAxes;
    /**
     * Disposes of the gizmo, removing event listeners and cleaning up resources.
     */
    dispose(): void;
}
export { GizmoAxes as OrbitControlsGizmo };
